package com.bonus.canteen.core.report.datascreen.mapper;

import com.bonus.canteen.core.report.datascreen.dto.DatascreenBaseDTO;
import com.bonus.canteen.core.report.datascreen.dto.v2.DataScreenBaseDTO;
import com.bonus.canteen.core.report.datascreen.vo.*;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface DatascreenMapper {

   List<String> getDashboardPictures(Long dashboardId);
   Integer getDishesNum(@Param("content") DatascreenBaseDTO content, @Param("canteenList") List<DsAuthorityCanteenVO> canteenList);

   List<DishIntervalNum> getIntervalDishNum(@Param("content") DatascreenBaseDTO content, @Param("canteenList") List<DsAuthorityCanteenVO> canteenList);

   List<TitlePriceNumVO> getDishSaleList(@Param("param") DataScreenBaseDTO content);

   List<TitleValueVO> getDishThumbUp(@Param("delFlag") Integer delFlag, @Param("canteenList") List<DsAuthorityCanteenVO> canteenList);

   Integer selectTodayDishesSaleNum(@Param("canteenList") List<DsAuthorityCanteenVO> canteenList);

   DatascreenMealtimeNumVO getMealNumSum(@Param("canteenList") List<DsAuthorityCanteenVO> canteenList);

   List<TitleValueVO> getStallMealNumList(@Param("param") DataScreenBaseDTO content);

   DatascreenSexConsumNumVO getSexConsumNum(@Param("param") DataScreenBaseDTO content);

   List<TitleValueVO> getOrgConsumNumList(@Param("param") DataScreenBaseDTO content);

   List<DishIntervalNum> getIntervalTypeNum(@Param("param") DataScreenBaseDTO content);

   List<TitleValueVO> getPriceSumList(@Param("param") DataScreenBaseDTO dataScreenBaseDTO);

   List<DatascreeDishesVO> getRecipeDishes(@Param("canteenList") List<DsAuthorityCanteenVO> canteenList);
}
